<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8">
<title>書籍登録</title>
</head>
<body>

<h2>書籍登録</h2>

<?php

// フォームデータの取得
$title = $_POST["title"];
$category_id = $_POST["category_id"];
$publisher_id = $_POST["publisher_id"];
$year = $_POST["year"];

try {  // データベース処理の例外範囲始まり

  // データベースへの接続
  $db = new PDO('mysql:host=localhost;dbname=????;charset=utf8',
	????,????);
  $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);  // PDOエラー時に例外発生させるように設定
// SQL文の準備と実行
  $sql = $db->prepare("insert INTO books(title,category_id,publisher_id,year) Value(?,?,?,?)");
  $sql->bindValue(1, $title);
  $sql->bindValue(2, $category_id);
  $sql->bindValue(3, $publisher_id);
  $sql->bindValue(4, $year);

  $sql->execute();


  // カテゴリDBから参照
  $sql2 = $db->prepare("select * from categories where id = ?");
  $sql2->bindValue(1, $category_id);
  $sql2->execute();
  $category = $sql2->fetch();

  // 出版社DBから参照
  $sql3 = $db->prepare("select * from publishers where id = ?");
  $sql3->bindValue(1, $publisher_id);
  $sql3->execute();
  $publisher = $sql3->fetch();

} catch( PDOException $e ){  // データベース処理の例外キャッチ
  exit('データベース処理失敗：'.$e->getMessage());
}

echo "データベースに以下の書籍情報を登録しました。";
echo "<p>";
echo "タイトル: {$title}<br>";
echo "カテゴリ: {$category['name']}<br>";
echo "出版社: {$publisher['name']}<br>";
echo "年: {$year}";
echo "</p>";
echo "<a href='book_list.php'>書籍一覧ページへ</a>";
?>

</body>
</html>